---
updatedAt: 2026-05-26T15:40:09.000Z
agentTools:
  projectIndex: https://apidocs.klipfolio.com/llms.txt
---

# Client Properties

Manage a client's company properties

## GET /clients/\{id}/properties

|              |                                                             |
| :----------- | :---------------------------------------------------------- |
| Description  | Retrieve a list of the client's company properties.         |
| Permissions  | client.access                                               |
| Resource URL | <https://app.klipfolio.com/api/1.0/clients/{id}/properties> |
| Parameters   | None.                                                       |

## Example Request

```
GET https://app.klipfolio.com/api/1.0/clients/1234c12345e064e6e05c5bfbddd9bdb4/properties
```

## Example Response

```
{
  "meta": { "success": true, "status": 200 },
  "data": { "properties": { "alpha": "omega", "gamma": "zeta" } }
}
```

## PUT /clients/\{id}/properties

|              |                                                             |
| :----------- | :---------------------------------------------------------- |
| Description  | Add or update company properties in a client's account.     |
| Permissions  | client.edit                                                 |
| Resource URL | <https://app.klipfolio.com/api/1.0/clients/{id}/properties> |
| Parameters   | None.                                                       |

## Example Request

```
PUT https://app.klipfolio.com/api/1/clients/6xxxxxxxx3a29bc1babadc866aec723f/properties
-d {"properties": {"prop1":"value1","prop2":"value2"}}
```

## Example Response

```
{ "meta": { "success": true, "status": 200 }, "data": { } }
```

## DELETE /clients/\{id}/properties

|              |                                                             |
| :----------- | :---------------------------------------------------------- |
| Description  | Delete a company property from a client's account.          |
| Permissions  | client.edit                                                 |
| Resource URL | <https://app.klipfolio.com/api/1.0/clients/{id}/properties> |
| Fields       | name - the name of the property you want to delete          |

## Example Request

```
DELETE https://app.klipfolio.com/api/1/clients//6xxxxxxxx490ede0876ed71d48cfeee2/properties?name=prop1
```

## Example Response

```
{ "meta": { "success": true, "status": 200 }, "data": { } }
```